//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  list<int> coll;
  vector<int> search;

  INSERT_ELEMENTS(coll,1,9);
  PRINT_ELEMENTS(coll," :\n");

  search.push_back(3);
  search.push_back(4);
  search.push_back(7);
  PRINT_ELEMENTS(search,":\n");

  //     search  coll
  if (includes (coll.begin(), coll.end(),
                search.begin(), search.end())) {
      cout << ToRus("     ")
           << endl;
  }
  else {
      cout << ToRus("      ")
           << endl;
  }


  getch();
  return 0;
}

//---------------------------------------------------------------------------